// creator  : weidu.exe (version 23100)
// argument : SARTEM01.DLG
// game		 : .
// source	 : ./DATA/25DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~SARTEM01~

IF ~NumTimesTalkedTo(0)
~ THEN BEGIN 0 // from:
  SAY #64158 /* ~Greetings, my <BROTHERSISTER>, and welcome to the House of Waukeen.   I am Sister Farielle. How may I serve you?

~ */
  IF ~~ THEN REPLY #64163 /* ~I would like to see your services.~ */ GOTO 2
  IF ~!Dead("gromnir")
~ THEN REPLY #64166 /* ~Can you tell me anything about Gromnir Il-Khan?~ */ GOTO 4
  IF ~~ THEN REPLY #64169 /* ~What do you know about the Lady Melissan?~ */ GOTO 6
  IF ~!Dead("gromnir")
GlobalLT("PassageTalk","GLOBAL",1)~ THEN REPLY #64403 /* ~Do you know how I can get inside Gromnir's castle?~ */ GOTO 13
  IF ~!Dead("gromnir")
Global("PassageTalk","GLOBAL",1)~ THEN REPLY #71564 /* ~Pyrgam Aleson tells me you have a key that can get me into the castle.~ */ GOTO 18
  IF ~Global("elfsanctuary","GLOBAL",1)
~ THEN REPLY #73373 /* ~There are some elves in this city who have nowhere to stay.  I was hoping you could take them in.~ */ DO ~SetGlobal("elfsanctuary","GLOBAL",2)
~ GOTO 20
  IF ~~ THEN REPLY #64458 /* ~I don't need anything right now.~ */ GOTO 1
END

IF ~~ THEN BEGIN 1 // from: 3.6 0.6
  SAY #64162 /* ~Then may Waukeen watch over you, my <BROTHERSISTER>.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 2 // from: 3.0 0.0
  SAY #64168 /* ~Certainly, my <BROTHERSISTER>.  We do not have much, due to this siege, but I will offer whatever aid I can.~ */
  IF ~~ THEN DO ~StartStore("Sartem01",LastTalkedToBy())~ EXIT
END

IF ~NumTimesTalkedToGT(0)~ THEN BEGIN 3 // from: 23.0 20.0 19.2 15.2 12.0 7.0 5.0
  SAY #64171 /* ~Is there still more I may do to aid you, <BROTHERSISTER>?~ */
  IF ~~ THEN REPLY #64172 /* ~I would like to see your services.~ */ GOTO 2
  IF ~!Dead("gromnir")
~ THEN REPLY #64174 /* ~Can you tell me anything about Gromnir Il-Khan?~ */ GOTO 4
  IF ~~ THEN REPLY #64175 /* ~What do you know about a woman named Melissan?~ */ GOTO 6
  IF ~!Dead("gromnir")
GlobalLT("PassageTalk","GLOBAL",2)~ THEN REPLY #64176 /* ~Do you know a way I might get into the castle and speak to Gromnir?~ */ GOTO 13
  IF ~!Dead("gromnir")
Global("PassageTalk","GLOBAL",1)~ THEN REPLY #71565 /* ~Pyrgam Aleson tells me you have a key that can get me into the castle.~ */ GOTO 18
  IF ~Global("elfsanctuary","GLOBAL",1)~ THEN REPLY #73375 /* ~There are some elves in this city who have nowhere to stay.  I was hoping you could take them in.~ */ DO ~SetGlobal("elfsanctuary","GLOBAL",2)
~ GOTO 20
  IF ~~ THEN REPLY #64460 /* ~I don't need anything right now.~ */ GOTO 1
END

IF ~~ THEN BEGIN 4 // from: 3.1 0.1
  SAY #64177 /* ~Gromnir is a tormented man, afflicted in both spirit and mind.  The taint of Bhaal poisons his blood and tortures his soul.  I would feel more pity for him, but he has been... very cruel.~ */
  IF ~~ THEN GOTO 5
END

IF ~~ THEN BEGIN 5 // from: 4.0
  SAY #64178 /* ~Gromnir trusts no one and has locked himself away in the palace to await the inevitable end of this siege, though I fear that he will first bring destruction to us all.~ */
  IF ~~ THEN GOTO 3
END

IF ~~ THEN BEGIN 6 // from: 3.2 0.2
  SAY #64180 /* ~A virtuous woman, a truly kind and compassionate lady. She brought the Bhaalspawn to Saradush, to find them sanctuary within its walls. It is not her fault that Gromnir took advantage of our hospitality... she meant well.~ */
  IF ~~ THEN GOTO 7
END

IF ~~ THEN BEGIN 7 // from: 6.0
  SAY #64181 /* ~Alas, this siege has thwarted her noble efforts.  When the walls fall, as they surely must, all the Bhaalspawn will be slaughtered and her efforts to save them will be for naught.~ */
  IF ~~ THEN GOTO 3
END

IF ~~ THEN BEGIN 8 // from: 14.0
  SAY #64477 /* ~Several years ago I was asked to seal the entrance to the city jail, to keep a great evil from escaping into the city.  As a cleric of some power, I was the only one who could do so.~ */
  IF ~~ THEN GOTO 9
END

IF ~~ THEN BEGIN 9 // from: 8.0
  SAY #64481 /* ~I am loathe to re-open the entrance, lest the evil escape into the city.  But if you think you can reason with Gromnir or aid the city somehow, perhaps it is worth the risk.~ */
  IF ~~ THEN REPLY #64483 /* ~What kind of evil are we talking about?~ */ GOTO 10
END

IF ~~ THEN BEGIN 10 // from: 9.0
  SAY #64482 /* ~I sensed that powerful undead creatures had taken up residence in the abandoned jail cells.  More than this I cannot say, though I would suggest you bring Holy Water with you before going down there.~ */
  IF ~~ THEN DO ~SetGlobal("PassageTalk","GLOBAL",2)~ GOTO 11
END

IF ~~ THEN BEGIN 11 // from: 10.0
  SAY #64485 /* ~This key will open the door to the jail... the door, itself, has been warded against the undead, but once you are below you will have no protection against them, yourself.~ */
  IF ~~ THEN GOTO 12
END

IF ~~ THEN BEGIN 12 // from: 11.0
  SAY #64489 /* ~You will find the door across the street.  I wish I could tell you where to go once you are down there... I know it connects to the castle, but not how.  Take the key and be safe, <BROTHERSISTER>.~ */
  IF ~~ THEN DO ~EraseJournalEntry(65001)
GiveItem("sarkey03",LastTalkedToBy)
AddXP2DA("Plot10A")~ UNSOLVED_JOURNAL #65003 /* ~Dealing With Gromnir

Sister Farielle gave me a key to the abandoned jail.  Somewhere inside there is rumored to be a secret area which connects to the castle.  The key opens the door across the street which leads to the abandoned dungeon.  The Sister also suggested I bring some Holy Water to battle the undead I will likely encounter.~ */ GOTO 3
END

IF ~~ THEN BEGIN 13 // from: 3.3 0.3
  SAY #71570 /* ~You wish to get inside the castle?  Why?  I would not suggest to anyone that they seek out Gromnir.  In his mindset he is capable of anything, <BROTHERSISTER>.~ */
  IF ~!Alignment(LastTalkedToBy,MASK_EVIL)~ THEN REPLY #71571 /* ~I have little choice.  I must seek out Gromnir, regardless.~ */ GOTO 14
  IF ~!Alignment(LastTalkedToBy,MASK_EVIL)~ THEN REPLY #71572 /* ~If I am to help this city, that is where I must go, sister.~ */ GOTO 14
  IF ~Alignment(LastTalkedToBy,MASK_EVIL)~ THEN REPLY #71573 /* ~Just tell me if you know anything or not!  I didn't ask for your opinion.~ */ GOTO 15
  IF ~Alignment(LastTalkedToBy,MASK_EVIL)~ THEN REPLY #71574 /* ~I'm not afraid of Gromnir.  Tell me how to get inside.~ */ GOTO 15
END

IF ~~ THEN BEGIN 14 // from: 18.0 13.1 13.0
  SAY #71575 /* ~You... you do not seem like an evil person, <BROTHERSISTER>.  Very... very well, I will help you with your task.  Though it will not be an easy one.~ */
  IF ~~ THEN GOTO 8
END

IF ~~ THEN BEGIN 15 // from: 13.3 13.2
  SAY #71576 /* ~No.  No, I cannot help you with this, <BROTHERSISTER>.  You will have to find aid for your task elsewhere.~ */
  IF ~~ THEN REPLY #71577 /* ~You don't know how to get inside or you just don't want to tell me?~ */ GOTO 17
  IF ~~ THEN REPLY #71578 /* ~I don't like your reticence, sister.  Tell me what I want to know, now, or pay the price!~ */ GOTO 16
  IF ~~ THEN REPLY #71579 /* ~Fine.  Have it your way.~ */ GOTO 3
  IF ~Global("PassageTalk","GLOBAL",1)~ THEN REPLY #73496 /* ~Unless you want everyone to know about your affair with Pyrgam you'll hand over that key!~ */ GOTO 21
END

IF ~~ THEN BEGIN 16 // from: 19.1 19.0 15.1
  SAY #71580 /* ~Do your worst.  You are obviously an evil <MANWOMAN>, and I expect no less from the likes of you... but you will get no help from me.~ */
  IF ~~ THEN DO ~RunAwayFrom(LastTalkedToBy,30)~ EXIT
END

IF ~~ THEN BEGIN 17 // from: 15.0
  SAY #71581 /* ~It makes no difference.  Even if I knew, I would not help one such as you.  Whatever reason you need to enter the castle for, it likely leads to no good.  So begone... there is nothing for you here.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 18 // from: 3.4 0.4
  SAY #71582 /* ~What?  How do you know about...?  Ah.  Of course, rumors travel about Saradush as they would anywhere else.  There is a key to get into the castle, yes... though it may not be what you think.~ */
  IF ~!Alignment(LastTalkedToBy,MASK_EVIL)~ THEN GOTO 14
  IF ~Alignment(LastTalkedToBy,MASK_EVIL)~ THEN GOTO 19
END

IF ~~ THEN BEGIN 19 // from: 18.1
  SAY #71583 /* ~It makes no difference, however.  Whatever you need the key for, it would likely lead to no good.  Begone, <BROTHERSISTER>... there is no help for you here.~ */
  IF ~~ THEN REPLY #71584 /* ~Forget it.  I came for the key and I'm not leaving without it.~ */ GOTO 16
  IF ~~ THEN REPLY #71585 /* ~Well, if I have to pry that key from your dead fingers, it'll make no difference to me.~ */ GOTO 16
  IF ~~ THEN REPLY #71586 /* ~Fine, fine.  Have it your way.~ */ GOTO 3
  IF ~Global("PassageTalk","GLOBAL",1)~ THEN REPLY #73495 /* ~Unless you want everyone to know about your affair with Pyrgam you'll hand over that key!~ */ GOTO 21
END

IF ~~ THEN BEGIN 20 // from: 3.5 0.5
  SAY #73374 /* ~The elves are welcome to come here for refuge... as are any who suffer.  Had I but known they had no place to stay I would have surely have made them the offer.~ */
  IF ~~ THEN GOTO 3
END

IF ~~ THEN BEGIN 21 // from: 19.3 15.3
  SAY #73497 /* ~I... I cannot let my secret shame be revealed.  The people of this town turn to me for aid - now, more than ever I must be above reproach.  You are an evil <MANWOMAN>, but I shall give you the key.~ */
  IF ~~ THEN DO ~SetGlobal("PassageTalk","GLOBAL",2)~ GOTO 22
END

IF ~~ THEN BEGIN 22 // from: 21.0
  SAY #73498 /* ~I do not know of what use the key will be to you, though.  It opens the door to the prison across the street, but the way into the castle is fraught with peril.  Despite your evil, I wish you success... if only to save the town.~ */
  IF ~~ THEN GOTO 23
END

IF ~~ THEN BEGIN 23 // from: 22.0
  SAY #73499 /* ~I will speak of this no more... I pray you have the decency to let this matter lie now.  And I pray Waukeen will forgive you for your actions, <BROTHERSISTER>.~ */
  IF ~~ THEN DO ~EraseJournalEntry(65001)
GiveItem("sarkey03",LastTalkedToBy)
AddXP2DA("Plot10A")~ UNSOLVED_JOURNAL #65003 /* ~Dealing With Gromnir

Sister Farielle gave me a key to the abandoned jail.  Somewhere inside there is rumored to be a secret area which connects to the castle.  The key opens the door across the street which leads to the abandoned dungeon.  The Sister also suggested I bring some Holy Water to battle the undead I will likely encounter.~ */ GOTO 3
END
